### Contributing

Pull Requests are welcome! To get started:

[Fork](https://guides.github.com/activities/forking) then clone the repository:

    git clone git@github.com:your-username/acts_as_textcaptcha.git

Create your feature branch:

    git checkout -b my-new-feature

When you are happy with your change, run the full test suite:

    bundle exec rake

With a passing test suite, commit your changes, push and submit a new [Pull
Request](https://github.com/matthutchinson/acts_as_textcaptcha/compare):

    git commit -am 'Added some feature'
    git push origin my-new-feature

At this point you'll be waiting for one of our maintainers to review it. We will
try to reply to new pull requests within a few days. We might suggest some
changes, improvements or alternatives. To increase the chance that your pull
request gets accepted:

* Explain what your are doing (and why) in your pull request description.
* If you are fixing an
  [issue](https://github.com/matthutchinson/acts_as_textcaptcha/issues), link to
  it in your description and [mention
  it](https://help.github.com/articles/closing-issues-via-commit-messages) in
  the commit message.
* Write a good [commit
  message](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
* Write tests.
